# Name

buf
buflint
bufcompat

# Category

Test

# Description

buf is a protobuf linter (`buflint`) and backward compatibility checker (`bufcompat`).
In order to use either `buflint` or `bufcompat`, `buf` must also be enabled.

# Environment Variables

None

# Options

Option | Notes
--- | ---
`--buf=<file>` | path to `buf` executable if it is not on the path
`--buf-basedir=<dir>` | set the starting dir to run buf
`--buf-timeout=###u` | Set the buf timeout

# Docker Notes

None

# Developer Notes

None